Bug 108823 - kded stops when hal/dbus is restarted
Summary: kded stops when hal/dbus is restarted
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: media (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-09 23:01 UTC by Jarkko Suontausta
Modified: 2006-06-12 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarkko Suontausta 2005-07-09 23:01:29 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hi,

when I run an upgrade dbus or hal on my system, kded stops without a warning. No warnings etc. appear in .xsession-errors or syslog. I've tried to dig out some more info, but my attempts have been unsuccesful (how does one capture a trace of a running program until it stops with gdb?). I might have time to recompile kdelibs with debugging info some day though...

Thanks for your time,
Jarkko
Comment 1 Jarkko Suontausta 2005-07-11 19:23:55 UTC
Some additional info about my system:
D-Bus version    0.23.4
HAL version      0.4.8
QT-mt            3.3.4
Comment 2 Nikita V. Youshchenko 2006-02-15 08:03:41 UTC
I guess that to become more friendly to hot updates, kded (and probably other components) should detect disconnection from dbus, and not only try to re-connect, but do so e.g. every second for a long period of time. This will let it to survive stop-upgrade-start cycles.
Comment 3 Nikita V. Youshchenko 2006-02-15 08:08:58 UTC
I believe this issue is important, because it causes problems with installing updates (including security updates) on terminal servers running KDE sessions - in such environment, restarting all sessions is not easy and very user-unfriendly.
Comment 4 Thiago Macieira 2006-02-19 18:20:39 UTC
Define what you mean by "kded stops". Does it freeze? Or does it still respond to DCOP commands (dcop kded)?
Comment 5 Kevin Ottens 2006-06-12 12:32:01 UTC
SVN commit 550578 by ervin:

Merge coolo's branch, it contains quite some fixes and interesting 
features. It'll be available in KDE 3.5.4, couldn't be committed before,
but thanks to the partial feature unfreeze...

FEATURE:
BUG: 50185
BUG: 105482
BUG: 108823
BUG: 114854
BUG: 120619
BUG: 121833
BUG: 127788
CCMAIL: coolo@kde.org


 M  +3 -2      Makefile.am  
 M  +7 -0      configure.in.in  
 M  +2 -2      kcmodule/managermodule.cpp  
 M  +4 -3      kcmodule/notifiermodule.cpp  
 M  +1 -1      kfile-plugin/kfile_media.desktop  
 M  +7 -2      kfile-plugin/kfilemediaplugin.cpp  
 M  +4 -0      libmediacommon/medium.cpp  
 M  +20 -1     libmediacommon/medium.h  
 M  +14 -1     mediaimpl.cpp  
 M  +643 -41   mediamanager/halbackend.cpp   [POSSIBLY UNSAFE: popen]
 M  +20 -0     mediamanager/halbackend.h  
 M  +72 -9     mediamanager/mediamanager.cpp  
 M  +8 -0      mediamanager/mediamanager.h  
 M  +6 -3      medianotifier/medianotifier.cpp  
 M  +1 -1      mounthelper/Makefile.am  
 M  +32 -19    mounthelper/kio_media_mounthelper.cpp  
 AM            propsdlgplugin (directory)   branches/work/coolos_media/propsdlgplugin#549689